# 1.6 Commandline flags

The core accepts multiple flags from the command line to change some configuration or start with different options.

Here's the help message:

    $ radare -h
    radare [options] [file]
      -s [offset]      seek to the desired offset (cfg.seek)
      -b [blocksize]   change the block size (512) (cfg.bsize)
      -i [script]      interpret radare or ruby/python/perl/lua script
      -p [project]     load metadata from project file
      -l [plugin.so]   link against a plugin (.so or .dll)
      -e [key=val]     evaluates a configuration string
      -d [program|pid] debug a program. same as --args in gdb
      -f               set block size to fit file size
      -L               list all available plugins
      -w               open file in read-write mode
      -x               dump block in hexa and exit
      -n               do not load ~/.radarerc and ./radarerc
      -v               same as -e cfg.verbose=false
      -V               show version information
      -u               unknown size (no seek limits)
      -h               this help message